## org.eclipse.jst.jsf.designtime.resolver
Class StructuredDocumentSymbolResolverFactory

    java.lang.Object
      org.eclipse.jst.jsf.context.AbstractDelegatingFactory
          org.eclipse.jst.jsf.designtime.resolver.StructuredDocumentSymbolResolverFactory

All Implemented Interfaces:
  IDelegatingFactory, IStructuredDocumentSymbolResolverFactory

    public final class StructuredDocumentSymbolResolverFactory

extends AbstractDelegatingFactory
implements IStructuredDocumentSymbolResolverFactory

Factory create resolver capable of resolving symbols in a structured document Clients may not sub-class.

Method Summary
`static StructuredDocumentSymbolResolverFactory` `getInstance()`
`ISymbolContextResolver` `getSymbolContextResolver(IModelContext context)`

Methods inherited from class org.eclipse.jst.jsf.context.AbstractDelegatingFactory
`addFactoryDelegate, getValidDelegateTypes, isValidDelegate, removeFactoryDelegate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final StructuredDocumentSymbolResolverFactory getInstance()

  Returns:
    the singleton factory instance

### getSymbolContextResolver

    public ISymbolContextResolver getSymbolContextResolver(IModelContext context)

  Specified by:
    `getSymbolContextResolver` in interface `IStructuredDocumentSymbolResolverFactory`
  Parameters:
    `context` -
  Returns:
    a new instance of symbol resolver for context